# Method: inappproducts.batchGet

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.InappproductsBatchGetResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchGet#try-it)

Reads multiple in-app products, which can be managed products or subscriptions.

This method should not be used to retrieve subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/inappproducts:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Query parameters

| Parameters ||
|---|---|
| `sku[]` | `string` Unique identifier for the in-app products. |

### Request body

The request body must be empty.

### Response body

Response message for subscriptions.batchGet endpoint.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "inappproduct": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`) } ] } ``` |

| Fields ||
|---|---|
| `inappproduct[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts#InAppProduct`)`` The list of requested in-app products, in the same order as the request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`